# SpeciesFormChangeAbilityTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeAbilityTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeAbilityTrigger

- Defined in src/data/pokemon-forms.ts:235

##### Index

### Constructors

constructor

### Properties

description

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeAbilityTrigger(): SpeciesFormChangeAbilityTrigger

  #### Returns SpeciesFormChangeAbilityTrigger

  Inherited from SpeciesFormChangeTrigger.constructor

## Properties

### description

description: string = ...

Overrides SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:236

## Methods

### canChange

- canChange(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:224

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228